<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>XMLHttpRequest 02</title>
    <script type="text/javascript">
       function enPantalla(text){
           let element = document.getElementById('container');
           element.textContent = text;
       }

       function enconsola(text){
           console.log(text);
       }
    </script>
</head>
<body>
    <section id="container">
    Request a La petición:
    </section>
    <script type="text/javascript">
    const req = new XMLHttpRequest();

    req.onload = function() {
        if(req.status >= 200 && req.status < 300) {
            enconsola( ['success!', req]);
        }else{
            enconsola('Fallooooooooo!!!!!!!');
        }
        enconsola('siempre ejecutar');
    };

    req.open('GET', 'https://jsonplaceholder.typicode.com/posts/1', true);
    req.send();
    </script>
</body>
</html>